<template>
	<v-container grid-list-xl>
		<form v-on:submit="next" data-vv-scope="payment">
			<v-layout wrap align-content-center>
				<v-flex xs12>
					<div class="mdc-form-row">
						<m-text-field outlined required :useNativeValidation="false" class="mdc-text-field-outlined-shaped" :valid="!hasErrors('card_number')" :class="{'mdc-text-field--invalid': hasErrors('card_number')}" v-model="paymentInfo.card_number" v-validate="'required'" data-vv-name="card_number">
							<label class="mdc-floating-label">Card number</label>
						</m-text-field>
						<m-text-field-helper-text :validationMsg="hasErrors('card_number')" :class="{'mdc-has-error': hasErrors('card_number')}" v-if="hasErrors('card_number')">
							{{ getError('card_number') }}
						</m-text-field-helper-text>
					</div>
					<v-layout>
						<v-flex xs12 md6>
							<div class="mdc-form-row">
								<m-text-field outlined required :useNativeValidation="false" class="mdc-text-field-outlined-shaped" :valid="!hasErrors('expired')"  :class="{'mdc-text-field--invalid': hasErrors('expired')}" v-model="paymentInfo.expired" v-validate="'required'" data-vv-name="expired">
									<label class="mdc-floating-label">Expiration</label>
								</m-text-field>
								<m-text-field-helper-text :validationMsg="hasErrors('expired')"  :class="{'mdc-has-error': hasErrors('expired')}"  v-if="hasErrors('expired')">
									{{ getError('expired') }}
								</m-text-field-helper-text>
							</div>
						</v-flex>
						<v-flex xs12 md6>
							<div class="mdc-form-row">
								<m-text-field outlined required :useNativeValidation="false" class="mdc-text-field-outlined-shaped" v-model="paymentInfo.secret_code" :valid="!hasErrors('secret_code')" :class="{'mdc-text-field--invalid': hasErrors('secret_code')}" v-validate="'required'" data-vv-name="secret_code">
									<label class="mdc-floating-label">Security code</label>
								</m-text-field>
								<m-text-field-helper-text :validationMsg="hasErrors('secret_code')" class="mdc-text-field-helper-line" :class="{'mdc-has-error': hasErrors('secret_code')}"  v-if="hasErrors('secret_code')">
									{{ getError('secret_code') }}
								</m-text-field-helper-text>
							</div>
						</v-flex>
					</v-layout>
					<v-layout>
						<v-flex xs12 md6>
							<div class="mdc-form-row">
								<m-text-field outlined required :useNativeValidation="false" class="mdc-text-field-outlined-shaped" :valid="!hasErrors('post_code')"  :class="{'mdc-text-field--invalid': hasErrors('post_code')}" v-model="paymentInfo.post_code" v-validate="'required'" data-vv-name="post_code">
									<label class="mdc-floating-label">Billing postal code</label>
								</m-text-field>
								<m-text-field-helper-text :validationMsg="hasErrors('post_code')" :class="{'mdc-has-error': hasErrors('post_code')}"  v-if="hasErrors('post_code')">
									{{ getError('post_code') }}
								</m-text-field-helper-text>
							</div>
						</v-flex>
						<v-flex xs12 md6>
							<div class="mdc-form-row">
								<mc-select id="payment-country" required outlined enhanced v-model="paymentInfo.country" :valid="!hasErrors('country')" :class="{'mdc-select--invalid': hasErrors('country')}" v-validate="'required'" data-vv-name="country">
									<li class="mdc-list-item" :data-value="item._id" v-for="item in countries" :key="item._id">
										{{item.text}}
									</li>
									<label class="mdc-floating-label" slot="label">
										Country
									</label>
								</mc-select>
								<m-text-field-helper-text :validationMsg="hasErrors('country')" :class="{'mdc-has-error': hasErrors('country')}"  v-if="hasErrors('country')">
									{{ getError('country') }}
								</m-text-field-helper-text>
							</div>
						</v-flex>
					</v-layout>
				</v-flex>
				<v-flex md12 class="text-xs-center">
					<span>Or</span>
					<div class="mdc-btn-row">
						<v-btn round class="btn-paypal">
							<img src="https://www.paypalobjects.com/webstatic/en_US/i/buttons/checkout-logo-large.png" />
						</v-btn>
					</div>
				</v-flex>
				<v-flex md12 class="text-md-right text-xs-right">
					<div class="mdc-btn-row">
						<v-btn round @click="previous" color="default">Back</v-btn>
						<v-btn round @click="next(false)" color="primary">Add payment later</v-btn>
						<v-btn round color="primary" @click="next">
							Next
						</v-btn>
					</div>
				</v-flex>
			</v-layout>
		</form>
	</v-container>
</template>
<script src="./PaymentInfo.js"></script>
